%define libname libwnck
%define ver_major 2.20

Name: %libname%ver_major
Version: %ver_major.1
Release: alt2

Summary: libwnck is a Window Navigator Construction Kit (legacy version)
License: %lgpl2plus
Group: System/Legacy libraries
URL: ftp://ftp.gnome.org

Provides: %libname = %version-%release
Obsoletes: %libname < 2.18.3-alt2

# This conflict is due to file conflicts in older builds of libwnck[2.18]
Conflicts: %{libname}2.18 < 2.18.3-alt3

Source: %gnome_ftp/%libname/%ver_major/%libname-%version.tar.bz2
Patch1: %libname-2.18-fix-intersect.diff

BuildPreReq: rpm-build-gnome rpm-build-licenses
# From configure.in
BuildPreReq: intltool >= 0.35
BuildPreReq: gnome-common
BuildPreReq: libstartup-notification-devel >= 0.4
BuildPreReq: libX11-devel libXres-devel libXext-devel libXt-devel
BuildPreReq: libgtk+2-devel >= 2.11.3
BuildPreReq: glib2-devel >= 2.13.0
BuildPreReq: gtk-doc >= 1.0

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use for
writing pagers and taskslists and stuff.

This version of the library is a legacy, and will be dropped as soon as all
applications are built with the new version of libwnck. Don't install it
unless as a dependency.

%prep
%setup -q -n %libname-%version
%patch1

%build
%autoreconf
%configure --disable-static

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%_libdir/*.so.*
%_bindir/wnckprop

%exclude %_includedir/*
%exclude %_libdir/*.so
%exclude %_pkgconfigdir/*
%exclude %dir %_datadir/gtk-doc/html/%libname
%exclude %_datadir/gtk-doc/html/%libname/*
%exclude %_datadir/locale/*/*/%libname.mo

%changelog
* Tue Mar 11 2008 Alexey Rusakov <ktirf@altlinux.org> 2.20.1-alt2
- building 2.20 as a legacy version, 2.22 is about to come.
- removed localization, to allow legacy versions and libwnck2.22 installed side
  by side.

* Mon Oct 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.1-alt1
- new version (2.20.1)
- updated dependencies, use a license macro
- try to conform to DSO packages naming policy

* Fri Jul 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt1
- new version (2.18.3)

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.2-alt2
- added a patch for GNOME Bug 412887.

* Thu Jun 28 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.2-alt1
- new version (2.18.2)
- mention gtk-doc files in the files list more correctly.
- add gtk-doc to Requires of -devel, since it contains gtk-doc files.

* Wed Jun 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt2
- fixed building on x86_64.

* Wed Jun 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt1
- new version (2.18.0)
- spec cleanup, updated dependencies

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version 2.15.92 (with rpmrb script)

* Sun Aug 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Tue Mar 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Thu Feb 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version
- updated dependencies

* Tue Nov 15 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92.1-alt1
- 2.9.92.1.

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0.1-alt1
- 2.8.0.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.17-alt1
- fix changelog entry

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 0.14-alt1
- Initial build for AltLinux
- Many fixes spec

* Wed May 15 2002 Igor Androsov <blace@mail.ru> 0.11-blk0.1
- New source from CVS
- Added BuildRequires

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 0.9-blk0.1
- New source from CVS
- Minor fixes .spec file
- Moved static libraries to devel-static

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 0.2-3
- cleaned up dependancies, according to docs that Chris sent me.
- disabled libtoolize

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Changed description from 'atk' to 'libwnck' ;)
- Modified configure, make, make install and clean parts
- Added a lot of Requires and BuildRequires (as defined by ./configure)
- Changed description from 'windowmanager thingies' to something more usefull
- Modified change log entry below from 'Jun 16 2002' to 'Jan 16', duh
- Minor cleanups

* Tue Jan 16 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- created new spec file

